with GNATCOM.Dispinterface;

package MSHTML.IDOMMutationEvent_Object is

   type IDOMMutationEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_relatedNode
     (This : IDOMMutationEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_prevValue
     (This : IDOMMutationEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_newValue
     (This : IDOMMutationEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_attrName
     (This : IDOMMutationEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_attrChange
     (This : IDOMMutationEvent_Type)
     return GNATCOM.Types.VARIANT;

   procedure initMutationEvent
     (This           : IDOMMutationEvent_Type;
      eventType      : GNATCOM.Types.VARIANT;
      canBubble      : GNATCOM.Types.VARIANT;
      cancelable     : GNATCOM.Types.VARIANT;
      relatedNodeArg : GNATCOM.Types.VARIANT;
      prevValueArg   : GNATCOM.Types.VARIANT;
      newValueArg    : GNATCOM.Types.VARIANT;
      attrNameArg    : GNATCOM.Types.VARIANT;
      attrChangeArg  : GNATCOM.Types.VARIANT;
      Free           : Boolean := True);

end MSHTML.IDOMMutationEvent_Object;

